Have ideas to improve npm?Join in the discussion! »

eslint-config-maptalks

0.4.0 • Public • Published

eslint-config-maptalks

An ESLint config for MapTalks javascript projects

Install

npm install eslint eslint-config-maptalks --save-dev

Then add a following .eslintrc file in the repo root:

{
  "extends": "maptalks"
}

Usage

CLI

npm install eslint eslint-config-maptalks -g
eslint src/**/*.js

Simple errors like indentation or quotes can be fixed automatically by

eslint src/**/*.js --fix

With gulp-eslint

var eslint = require('gulp-eslint');
gulp.task('lint', function() {
  gulp.src('src/**/*.js')
      //the parameter of eslint is optional
      //used to override the default rules
      .pipe(eslint({
          extends: 'maptalks',
          globals: {
              'Z':true
          }
      }))
      .pipe(eslint.format())
      .pipe(eslint.failAfterError())
});

In package.json

"scripts": {
  "lint": "eslint src/**/*.js",
  "pretest": "npm run lint"
}

Run in terminal and enjoy thousands of errors:

npm run lint

Config

Can be extended by .eslintrc file

{
  extends: 'maptalks',
  globals: {
      'Z':true
  }
}

Credits

based on mourner's eslint-config-mourner

Install

npm i eslint-config-maptalks

DownloadsWeekly Downloads

9

Version

0.4.0

License

ISC

Unpacked Size

4.93 kB

Total Files

4

Last publish

Collaborators

  • avatar